Loading...
Searching...
No Matches
environment

## Detailed Description

see the `environment` page for the full documentation

Examples
  burgers_dg.cc, burgers_diffusion_dg.cc, burgers_diffusion_error.cc, combustion_continuation.cc, combustion_error.cc, combustion_keller.cc, combustion_keller_post.cc, combustion_newton.cc, combustion_post.cc, commute_rtd.cc, commute_rtd_error.cc, convect.cc, convect2.cc, convect_error.cc, convect_hdg.cc, convect_hdg_error.cc, cosinusprod_error.cc, cosinusprod_error_dg.cc, cosinusprod_error_hdg.cc, cosinusprod_error_hdg_average.cc, cosinusprod_error_hdg_post_rt.cc, cosinusprod_post_dg.cc, cosinusrad_error.cc, diffusion_tensor.cc, diffusion_tensor_error.cc, diffusion_transport_tensor_dg.cc, diffusion_transport_tensor_error_dg.cc, dirichlet-nh.cc, dirichlet.cc, dirichlet2.cc, dirichlet_dg.cc, dirichlet_hdg.cc, dirichlet_hdg_average.cc, dirichlet_hdg_post.cc, dirichlet_hdg_post_rt.cc, dirichlet_hho.cc, elasticity_taylor_dg.cc, elasticity_taylor_error_dg.cc, embankment.cc, embankment_adapt.cc, harten_show.cc, heat.cc, helmholtz_band.cc, helmholtz_band_iterative.cc, helmholtz_s.cc, helmholtz_s_error.cc, incompressible-elasticity.cc, lambda_c.cc, laplace_band.cc, laplace_s.cc, level_set_sphere.cc, level_set_torus.cc, leveque_dg.cc, mosolov_augmented_lagrangian.cc, mosolov_error.cc, mosolov_error_yield_surface.cc, mosolov_residue.cc, mosolov_yield_surface.cc, navier_stokes_cavity.cc, navier_stokes_taylor_dg.cc, navier_stokes_taylor_error_dg.cc, navier_stokes_taylor_newton_dg.cc, neumann-laplace.cc, neumann-nh.cc, neumann_dg.cc, oldroyd_cavity.cc, oldroyd_contraction.cc, p_laplacian_damped_newton.cc, p_laplacian_error.cc, p_laplacian_fixed_point.cc, p_laplacian_newton.cc, proj_band.cc, reconstruction_hho.cc, reconstruction_hho_check.cc, reconstruction_hho_v2.cc, robin.cc, sinusprod_error.cc, sinusprod_error_dg.cc, sinusprod_error_hdg.cc, sinusprod_error_hdg_average.cc, sinusprod_error_hdg_post_rt.cc, sinusprod_error_hho_reconstruction.cc, sinusrad_error.cc, stokes_cavity.cc, stokes_contraction.cc, stokes_contraction_bubble.cc, stokes_obstacle_slip_regul.cc, stokes_taylor_dg.cc, stokes_taylor_error_dg.cc, streamf_cavity.cc, streamf_contraction.cc, streamf_obstacle_slip_move.cc, stress.cc, transmission-mixed.cc, transmission.cc, transmission_dg.cc, transport_dg.cc, transport_tensor_dg.cc, transport_tensor_error_dg.cc, vortex_position.cc, vorticity.cc, yield_slip_augmented_lagrangian.cc, yield_slip_damped_newton.cc, yield_slip_error.cc, yield_slip_residue.cc, zalesak_dg.cc, zalesak_dg_adapt.cc, and zalesak_dg_error.cc.

Definition at line 121 of file environment.h.

## Public Member Functions

| environment (int &argc, char **&argv, const environment_option_type &opt=environment_option_type())
| ~environment ()

## Static Public Member Functions

static bool | initialized ()
static bool | finalized ()
static void | abort (int errcode)
static int | max_tag ()
static int | collectives_tag ()
static boost::optional< int > | host_rank ()
static boost::optional< int > | io_rank ()
static std::string | processor_name ()

## Constructor & Destructor Documentation

## environment()

environment | ( | int & | argc,
|  | char **& | argv,
|  | const environment_option_type & | opt = `environment_option_type()`
| ) |  |

explicit

Definition at line 64 of file environment.cc.

## ~environment()

~environment | ( |  | ) |

Definition at line 89 of file environment.cc.

## Member Function Documentation

## initialized()

bool initialized | ( |  | ) |

static

Definition at line 54 of file environment.cc.

## finalized()

bool finalized | ( |  | ) |

static

Definition at line 59 of file environment.cc.

## abort()

void abort | ( | int | errcode | ) |

static

Definition at line 96 of file environment.cc.

## max_tag()

int max_tag | ( |  | ) |

static

Definition at line 100 of file environment.cc.

## collectives_tag()

int collectives_tag | ( |  | ) |

static

Definition at line 108 of file environment.cc.

## host_rank()

boost::optional< int > host_rank | ( |  | ) |

static

Definition at line 112 of file environment.cc.

## io_rank()

boost::optional< int > io_rank | ( |  | ) |

static

Definition at line 123 of file environment.cc.

## processor_name()

std::string processor_name | ( |  | ) |

static

Definition at line 134 of file environment.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/environment.h
- /build/rheolef-mDkPTY/rheolef-7.2/linalg/lib/environment.cc